Package org.gradle.api.plugins

## Class BasePlugin

- java.lang.Object
- - org.gradle.api.plugins.BasePlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      public class BasePlugin
      extends Object
      implements Plugin<Project>

  A `Plugin` which defines a basic project lifecycle and some common convention properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ASSEMBLE_TASK_NAME` |
    `static String` | `BUILD_GROUP` |
    `static String` | `CLEAN_TASK_NAME` |
    `static String` | `UPLOAD_ARCHIVES_TASK_NAME` |
    `static String` | `UPLOAD_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasePlugin​(org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActionContainer, org.gradle.api.internal.artifacts.ImmutableModuleIdentifierFactory moduleIdentifierFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLEAN_TASK_NAME

          public static final String CLEAN_TASK_NAME

      See Also:
        Constant Field Values

    - #### ASSEMBLE_TASK_NAME

          public static final String ASSEMBLE_TASK_NAME

      See Also:
        Constant Field Values

    - #### BUILD_GROUP

          public static final String BUILD_GROUP

      See Also:
        Constant Field Values

    - #### UPLOAD_ARCHIVES_TASK_NAME

          public static final String UPLOAD_ARCHIVES_TASK_NAME

      See Also:
        Constant Field Values

    - #### UPLOAD_GROUP

          public static final String UPLOAD_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BasePlugin

          @Inject
          public BasePlugin​(org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry,
                            org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActionContainer,
                            org.gradle.api.internal.artifacts.ImmutableModuleIdentifierFactory moduleIdentifierFactory)

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object